org.springframework.web.reactive.resource

## Class CssLinkResourceTransformer

- java.lang.Object
- - org.springframework.web.reactive.resource.ResourceTransformerSupport
  - - org.springframework.web.reactive.resource.CssLinkResourceTransformer

All Implemented Interfaces:
  ResourceTransformer

    public class CssLinkResourceTransformer
    extends ResourceTransformerSupport

A `ResourceTransformer` implementation that modifies links in a CSS file to match the public URL paths that should be exposed to clients (e.g. with an MD5 content-based hash inserted in the URL).

The implementation looks for links in CSS `@import` statements and also inside CSS `url()` functions. All links are then passed through the `ResourceResolverChain` and resolved relative to the location of the containing CSS file. If successfully resolved, the link is modified, otherwise the original link is preserved.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Nested Class Summary

Nested Classes
`protected static class` `CssLinkResourceTransformer.AbstractLinkParser` Abstract base class for `CssLinkResourceTransformer.LinkParser` implementations.
`protected static interface` `CssLinkResourceTransformer.LinkParser` Extract content chunks that represent links.

### Constructor Summary

Constructors
Constructor and Description
`CssLinkResourceTransformer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`reactor.core.publisher.Mono<org.springframework.core.io.Resource>` `transform(org.springframework.web.server.ServerWebExchange exchange, org.springframework.core.io.Resource inputResource, ResourceTransformerChain transformerChain)` Transform the given resource.

### Methods inherited from class org.springframework.web.reactive.resource.ResourceTransformerSupport

`getResourceUrlProvider, resolveUrlPath, setResourceUrlProvider, toAbsolutePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CssLinkResourceTransformer

    public CssLinkResourceTransformer()

### Method Detail

#### transform

    public reactor.core.publisher.Mono<org.springframework.core.io.Resource> transform(org.springframework.web.server.ServerWebExchange exchange,
                                                                                       org.springframework.core.io.Resource inputResource,
                                                                                       ResourceTransformerChain transformerChain)

Description copied from interface: `ResourceTransformer`
Transform the given resource.

Parameters:
  `exchange` - the current exchange
  `inputResource` - the resource to transform
  `transformerChain` - the chain of remaining transformers to delegate to
Returns:
  the transformed resource (never empty)